# clearobjects

Removes all the user class definitions

Syntax

    clearobjects [-i]

Description
Removes the definition of all the user classes and kill all the object instances (also instances of the builtin classes). If the -i switch is used, only the object instances are cleared but the class definitions are left unchanged. This command should be used only for debugging & testing purposes and in particular should be NEVER used from inside an object function handler (leads to SIGSEGV :).
See also
class, killclass, Objects documentation

Main, Commands

KVIrc 3.0.0 Documentation
Generated by root at Sat Oct 16 22:01:45 2004